<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerPengajuan extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        check_not_login();
        $this->set_timezone();
        if ($this->session->userdata('level') != 5) {
            redirect();
        }
        $this->load->library('encrypt');
        $this->load->library('form_validation');
        $this->load->library('Mycustom');
        $this->load->library('pdfgenerator');
        $this->load->library('Notifikasi');
        $this->load->model('bagian_kasir/insert_model');
        $this->load->model('bagian_kasir/select_model');
        $this->load->model('bagian_kasir/update_model');
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }

    public function index()
    {
        $notif                 = $this->notifikasi->notif_kasir();
        // Data Login
        $data_login            = $this->userlogin->user_login();
        $data_id_login         = $this->session->userdata('isloggedin');
        $data_kotkab           = $this->select_model->vd_kotkab();
        // Data Isian Konten
        // Tampilkan Jenis Pinjaman
        $jenis_pinjaman        = $this->select_model->vd_jenisPinjamanKabag();
        $data_pengajuan        = $this->select_model->vd_pengajuanPinjaman();
        $data_jaminan          = $this->select_model->vd_jaminanPinjaman();
        // echo '<pre>';
        // var_dump($data_pengajuan);
        // die;
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'              => 'pinjaman/pengajuan',
            'page'                => 'index',
            'judul'               => 'Daftar Pengajuan Pinjaman Koperasi || Bagian Kasir',
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            'data_kota'           => $data_kotkab,
            'notif'               => $notif,
            // Isi dalam konten
            'jenis_pinjaman'      => $jenis_pinjaman,
            'data_pengajuan'      => $data_pengajuan,
            'data_jaminan'        => $data_jaminan
        );
        $this->load->view('kasir/index', $data);
    }
    public function crud()
    {
        // Menambahkan data pengajuan Pinjaman
        if (isset($_POST['simpanPengajuanPinjaman'])) :
            // Mengelompokkan data inputan
            $data_inputan       = $this->_dataInputanAnggotaKoperasi(); // Kelompok data inputan
            $alamat_id          = $this->_cekDataAlamat($data_inputan); // Cek data alamat inputan
            $data_anggota       = $this->db->get_where('anggota', ['nik' => $data_inputan['nik']])->row_array(); // Ada anggota di database
            // Cek apakah data anggota ada?
            if ($data_anggota > 0) :
                // Jika jawabannya ada anggota
                // Sudah Melakukan Pengajuan Pinjaman
                $anggota_id = $data_anggota['id']; // Membuat objek Anggota ID
                // Data Pengajuan atau Pinjaman Aktif
                // Pengajuan Pinjaman
                $data_kasir = $this->db->get_where('p_koperasi_kontrak', ['anggota_id' => $anggota_id, 'status_kontrak' => 'KASIR'])->row_array();
                // Cek Apakah anggota sudah pernah mengajukan pinjaman dan belum ada konfirmasi dari koperasi
                if ($data_kasir > 0) :
                    // Jika sudah pernah hubungi marketing yang pernah di tunjuk sebagai perantara pengajuan
                    $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Sudah Melakukan Pengajuan Pinjaman!</div>');
                    redirect('kasir/koperasi/daftar_pengajuan');
                endif;
                // Pengajuan Pinjaman
                $data_survey = $this->db->get_where('p_koperasi_kontrak', ['anggota_id' => $anggota_id, 'status_kontrak' => 'SURVEY'])->row_array();
                // Cek Apakah anggota sudah pernah mengajukan pinjaman dan belum ada konfirmasi dari koperasi
                if ($data_survey > 0) :
                    // Jika sudah pernah hubungi marketing yang pernah di tunjuk sebagai perantara pengajuan
                    $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Sudah Melakukan Pengajuan Pinjaman!</div>');
                    redirect('kasir/koperasi/daftar_pengajuan');
                endif;
                // Pengajuan Pinjaman
                $data_pengajuan = $this->db->get_where('p_koperasi_kontrak', ['anggota_id' => $anggota_id, 'status_kontrak' => 'KONFIRMASI'])->row_array();
                // Cek Apakah anggota sudah pernah mengajukan pinjaman dan belum ada konfirmasi dari koperasi
                if ($data_pengajuan > 0) :
                    // Jika sudah pernah hubungi marketing yang pernah di tunjuk sebagai perantara pengajuan
                    $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Sudah Melakukan Pengajuan Pinjaman!</div>');
                    redirect('kasir/koperasi/daftar_pengajuan');
                endif;
                // Menunggu Konfirmasi Mas Bowo pengajuan Pinjaman 
                $data_terima = $this->db->get_where('p_koperasi_kontrak', ['anggota_id' => $anggota_id, 'status_kontrak' => 'TERIMA'])->row_array();
                // Cek Apakah Menunggu Untuk Melakukan Pencairan Pinjaman
                if ($data_terima > 0) :
                    // Jika Jawabannya iya, maka anggota tinggal menunggu untuk pencairan data dari marketing
                    $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Menunggu Untuk Melakukan Pencairan Pinjaman!</div>');
                    redirect('kasir/koperasi/daftar_pengajuan');
                endif;
                // Data Pinjaman Aktif
                $data_aktif = $this->db->get_where('p_koperasi_kontrak', ['anggota_id' => $anggota_id, 'status_kontrak' => 'AKTIF'])->row_array();
                // Cek Apakah Anggota Ada Pinjaman Aktif
                if ($data_aktif > 0) :
                    // Jika ada pinjaman
                    $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Masih Ada Pinjaman Aktif!</div>');
                    redirect('kasir/koperasi/daftar_pengajuan');
                endif;
                // Data Pinjaman Aktif namun Macet
                // Cek Apakah Anggota Ada Pinjaman Aktif yang Macet
                $data_macet = $this->db->get_where('p_koperasi_kontrak', ['anggota_id' => $anggota_id, 'status_kontrak' => 'MACET'])->row_array();
                if ($data_macet > 0) :
                    $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Masih Ada Pinjaman Aktif!</div>');
                    redirect('kasir/koperasi/daftar_pengajuan');
                endif;
            else :
                // Jika jawaban tidak ada data anggota di database
                // Cek KTP Anggota
                $this->_cekKTPAnggota($data_inputan); // KTP NIK sudah digunakan atau belum
                $this->_validasiComboBox($data_inputan); // Validasi Jenis Kelamin dan RT RW
                $this->_validasiNomorHP($data_inputan); // Validasi Nomor HP Utama dan Cadangan
                // Menyimpan data anggota baru
                $anggota_id = $this->insert_model->simpanDataPengajuanKoperasi($data_inputan, $alamat_id);  // Menyimpan data anggota baru
                $this->update_model->menambahFotoKKAnggota($anggota_id); // Menambahkan Foto KK
            endif;
            // Selesai Mengkonfirmasi data diri atau identitas
            // Mulai berhubungan dengan Kontrak Pinjaman
            $kd_produk          = $data_inputan['produk_id'];
            if ($kd_produk == 121) :
                $detail_kontrak = $this->_dataIdentitasPinjamanMingguan($data_inputan, $anggota_id);
                $this->insert_model->tambahPengajuanPinjamanMingguan($detail_kontrak);
            elseif ($kd_produk == 122) :
                $detail_kontrak = $this->_dataIdentitasPinjamanMingguan($data_inputan, $anggota_id);
                $this->insert_model->tambahPengajuanPinjamanMingguan($detail_kontrak);
            elseif ($kd_produk == 124) :
                $detail_kontrak = $this->_dataIdentitasPinjamanMusiman($data_inputan, $anggota_id);
                $this->insert_model->tambahPengajuanPinjamanMusiman($detail_kontrak);
            else :
                $detail_kontrak = $this->_dataIdentitasPinjaman($data_inputan, $anggota_id);
                $this->insert_model->tambahPengajuanPinjaman($detail_kontrak);
            endif;
            $this->session->set_flashdata('pesan_berhasil', '<div class="alert alert-success" id="pesan_berhasil" role="alert">Berhasil Mengajukan Pinjaman!</div>');
            redirect('kasir/koperasi/daftar_pengajuan');
        endif;
    }
    // Private Function
    // Bagian Data Inputan
    private function _dataInputanAnggotaKoperasi()
    {
        // Cek Status Hubungan
        if (htmlspecialchars($this->input->post('status_hubungan')) == 0) :
            $suami_istri = 'BELUM MENIKAH';
        elseif (htmlspecialchars($this->input->post('status_hubungan')) == 1) :
            $suami_istri = htmlspecialchars($this->input->post('tambah_suami_istri'));
        elseif (htmlspecialchars($this->input->post('status_hubungan')) == 2) :
            $suami_istri = 'DUDA/JANDA';
        endif;
        $data_inputan = array(
            'nik'            => htmlspecialchars($this->input->post('tambah_nik_anggota')),
            'login_id'       => htmlspecialchars($this->input->post('login_id')),
            'nomor_kk'       => htmlspecialchars($this->input->post('tambah_nomor_kk')),
            'nm_anggota'     => htmlspecialchars($this->input->post('tambah_nm_anggota')),
            'jk'             => htmlspecialchars($this->input->post('tambah_jk')),
            'alamat_lengkap' => htmlspecialchars($this->input->post('tambah_alamat_lengkap')),
            'kode_pos'       => htmlspecialchars($this->input->post('tambah_kode_pos')),
            'nm_rt'          => htmlspecialchars($this->input->post('tambah_nm_rt')),
            'nm_rw'          => htmlspecialchars($this->input->post('tambah_nm_rw')),
            'nm_desa'        => htmlspecialchars($this->input->post('tambah_dk_ds')),
            'nm_kecamatan'   => htmlspecialchars($this->input->post('tambah_kecamatan_baru')),
            'kot_kab'        => htmlspecialchars($this->input->post('tambah_kota_kabupaten')),
            'tempat_lahir'   => htmlspecialchars($this->input->post('tambah_tempat_lahir')),
            'tgl_lahir'      => htmlspecialchars($this->input->post('tambah_tgl_lahir')),
            'no_hp'          => htmlspecialchars($this->input->post('tambah_no_hp')),
            'pekerjaan'      => htmlspecialchars($this->input->post('tambah_pekerjaan')),
            'suami_istri'    => $suami_istri,
            'foto_ktp'       => htmlspecialchars($this->input->post('foto_ktp')),
            'produk_id'      => htmlspecialchars($this->input->post('produk_id')),
            'pokok_pinjaman' => htmlspecialchars($this->input->post('pokok_pinjaman'))
        );
        return $data_inputan;
    }
    // Cek Alamat
    private function _cekDataAlamat($data_inputan)
    {
        $cek_alamat = $this->db->get_where('sistem_alamat', ['nm_desa' => $data_inputan['nm_desa'], 'nm_kecamatan' => $data_inputan['nm_kecamatan'], 'kot_kab' => $data_inputan['kot_kab']])->row_array();
        if ($cek_alamat > 0) :
            $alamat_id = $cek_alamat['id'];
            return $alamat_id;
        else :
            $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Alamat Tidak Tersedia, Hubungi Developer!</div>');
            redirect('kasir/koperasi/daftar_pengajuan');
        endif;
    }
    // Validasi KTP
    private function _cekKTPAnggota($data_inputan)
    {
        $nik = $data_inputan['nik'];
        // Cek Apakah 16 karakter
        $hitung_nik      = strlen($nik);
        if ($hitung_nik != 16) :
            $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">NIK Harus 16 Karakter!</div>');
            redirect('kasir/koperasi/daftar_pengajuan');
        endif;
    }
    // Validasi Inputan Combo Box
    private function _validasiComboBox($data_inputan)
    {
        if ($data_inputan['jk'] == 'ok') :
            $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Jenis Kelamin Harus Di Isi!</div>');
            redirect('kasir/koperasi/daftar_pengajuan');
        endif;
        if ($data_inputan['nm_rt'] == 'ok') :
            $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Kolom RT Harus Diisi!</div>');
            redirect('kasir/koperasi/daftar_pengajuan');
        endif;
        if ($data_inputan['nm_rw'] == 'ok') :
            $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Kolom RW Harus Diisi!</div>');
            redirect('kasir/koperasi/daftar_pengajuan');
        endif;
    }
    // Validasi Nomor HP
    private function _validasiNomorHP($data_inputan)
    {
        $cek_nomor = $this->db->get_where('anggota', ['no_hp' => $data_inputan['no_hp']])->row_array();
        if ($cek_nomor > 0) :
            $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Nomor HP Sudah Di Gunakan Anggota Lain!</div>');
            redirect('kasir/koperasi/daftar_pengajuan');
        endif;
        $cek_nomor_cadangan = $this->db->get_where('anggota_hp_cadangan', ['no_hp' => $data_inputan['no_hp']])->row_array();
        if ($cek_nomor_cadangan > 0) :
            $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Nomor HP Sudah Di Gunakan Anggota Lain!</div>');
            redirect('kasir/koperasi/daftar_pengajuan');
        endif;
    }
    // Identitas Kontrak Pinjaman Mingguan
    private function _dataIdentitasPinjamanMingguan($data_inputan, $anggota_id)
    {
        if ($data_inputan['produk_id'] == 122) :
            if ($data_inputan['pokok_pinjaman'] == 1000000) :
                $tambahan = 500;
            elseif ($data_inputan['pokok_pinjaman'] == 1500000) :
                $tambahan = 750;
            elseif ($data_inputan['pokok_pinjaman'] == 2000000) :
                $tambahan = 1000;
            elseif ($data_inputan['pokok_pinjaman'] == 2500000) :
                $tambahan = 1250;
            elseif ($data_inputan['pokok_pinjaman'] == 3000000) :
                $tambahan = 1500;
            elseif ($data_inputan['pokok_pinjaman'] == 3500000) :
                $tambahan = 1750;
            elseif ($data_inputan['pokok_pinjaman'] == 4000000) :
                $tambahan = 2000;
            elseif ($data_inputan['pokok_pinjaman'] == 4500000) :
                $tambahan = 2250;
            elseif ($data_inputan['pokok_pinjaman'] == 5000000) :
                $tambahan = 2500;
            elseif ($data_inputan['pokok_pinjaman'] == 5500000) :
                $tambahan = 2750;
            elseif ($data_inputan['pokok_pinjaman'] == 6000000) :
                $tambahan = 3000;
            elseif ($data_inputan['pokok_pinjaman'] == 6500000) :
                $tambahan = 3250;
            elseif ($data_inputan['pokok_pinjaman'] == 7000000) :
                $tambahan = 3500;
            elseif ($data_inputan['pokok_pinjaman'] == 7500000) :
                $tambahan = 3750;
            elseif ($data_inputan['pokok_pinjaman'] == 8000000) :
                $tambahan = 4000;
            elseif ($data_inputan['pokok_pinjaman'] == 8500000) :
                $tambahan = 4250;
            elseif ($data_inputan['pokok_pinjaman'] == 9000000) :
                $tambahan = 4500;
            elseif ($data_inputan['pokok_pinjaman'] == 9500000) :
                $tambahan = 4750;
            elseif ($data_inputan['pokok_pinjaman'] == 10000000) :
                $tambahan = 0;
            endif;
        else :
            $tambahan = 0;
        endif;
        $cek_ap             = $this->db->get_where('p_koperasi_aturan', ['produk_id' => $data_inputan['produk_id']])->row_array();
        $nomor_kontrak      = $data_inputan['login_id'] . $data_inputan['produk_id'] . date('ymdhis');
        // Potongan Awal saat pencairan
        $pot_admin          = $data_inputan['pokok_pinjaman'] * $cek_ap['administrasi'] / 100;
        $pot_rk             = $data_inputan['pokok_pinjaman'] * $cek_ap['rk'] / 100;
        // Besaran Pokok Setiap kali Pembayaran
        $pokok_angsuran    = $data_inputan['pokok_pinjaman'] / $cek_ap['tempo'];
        $pokokangsuran     = ceil($pokok_angsuran);
        $bsr_pokok         = round($pokokangsuran, -2);
        // Simpanan atau tabungan setiap pembayaran
        $b_simpanan        = ($data_inputan['pokok_pinjaman'] * $cek_ap['simpanan'] / 100) / $cek_ap['tempo'];
        $simpananpokok     = ceil($b_simpanan);
        $bsr_simpanan      = round($simpananpokok, -2);
        // Besar Angsuran setiap bulan
        // Biaya Jasa Setiap transaksi pembayaran
        $bsr_jasa          = (($data_inputan['pokok_pinjaman'] * $cek_ap['jasa'] / 100) / $cek_ap['tempo']) + $tambahan;
        // Biaya yang harus di bayar
        $bsr_angsuran      = $bsr_pokok + $bsr_simpanan + $bsr_jasa;
        // Total Pembayaran sampai lunas
        $ttl_bayar         = $bsr_angsuran * $cek_ap['tempo'];
        $detail_kontrak = array(
            'id'              => $nomor_kontrak,
            'anggota_id'      => $anggota_id,
            'aturan_id'       => $cek_ap['id'],
            'pokok_pinjaman'  => $data_inputan['pokok_pinjaman'],
            'bsr_admin'       => $pot_admin,
            'bsr_rk'          => $pot_rk,
            'bsr_pokok'       => $bsr_pokok,
            'bsr_simpanan'    => $bsr_simpanan,
            'bsr_jasa'        => $bsr_jasa,
            'bsr_angsuran'    => $bsr_angsuran,
            'tempo_pinjaman'  => $cek_ap['tempo'],
            'ttl_bayar'       => $ttl_bayar,
            'status_kontrak'  => 'KASIR'
        );
        return $detail_kontrak;
    }
    // Identitas Kontrak Musiman dan Bulanan
    private function _dataIdentitasPinjamanMusiman($data_inputan, $anggota_id)
    {
        $cek_ap             = $this->db->get_where('p_koperasi_aturan', ['produk_id' => $data_inputan['produk_id']])->row_array();
        $nomor_kontrak      = $data_inputan['login_id'] . $data_inputan['produk_id'] . date('ymdhis');
        $lama_pinjaman      = htmlentities($this->input->post('lama_pinjaman'));
        // Potongan Awal saat pencairan
        $pot_admin          = $data_inputan['pokok_pinjaman'] * $cek_ap['administrasi'] / 100;
        $pot_rk             = $data_inputan['pokok_pinjaman'] * $cek_ap['rk'] / 100;
        // Besaran Pokok Setiap kali Pembayaran
        $pokok_angsuran    = $data_inputan['pokok_pinjaman'];
        $pokokangsuran     = ceil($pokok_angsuran);
        $bsr_pokok         = round($pokokangsuran, -2);
        // Simpanan atau tabungan setiap pembayaran
        $b_simpanan        = ($data_inputan['pokok_pinjaman'] * $cek_ap['simpanan'] / 100) * $lama_pinjaman;
        $simpananpokok     = ceil($b_simpanan);
        $bsr_simpanan      = round($simpananpokok, -2);
        // Besar Angsuran setiap bulan
        // Biaya Jasa Setiap transaksi pembayaran
        $bsr_jasa          = (($data_inputan['pokok_pinjaman'] * $cek_ap['jasa'] / 100) * $lama_pinjaman);
        // Biaya yang harus di bayar
        $bsr_angsuran      = $bsr_pokok + $bsr_simpanan + $bsr_jasa;
        // Total Pembayaran sampai lunas
        $ttl_bayar         = $bsr_angsuran;
        $detail_kontrak = array(
            'id'              => $nomor_kontrak,
            'anggota_id'      => $anggota_id,
            'aturan_id'       => $cek_ap['id'],
            'pokok_pinjaman'  => $data_inputan['pokok_pinjaman'],
            'bsr_admin'       => $pot_admin,
            'bsr_rk'          => $pot_rk,
            'bsr_pokok'       => $data_inputan['pokok_pinjaman'],
            'bsr_simpanan'    => $bsr_simpanan,
            'bsr_jasa'        => $bsr_jasa,
            'bsr_angsuran'    => $ttl_bayar,
            'tempo_pinjaman'  => $lama_pinjaman,
            'ttl_bayar'       => $ttl_bayar,
            'status_kontrak'  => 'KASIR'
        );
        return $detail_kontrak;
    }
    // Identitas Kontrak Pinjaman
    private function _dataIdentitasPinjaman($data_inputan, $anggota_id)
    {
        $tempo              = htmlspecialchars($this->input->post('lama_pinjaman'));
        $produk_id          = htmlspecialchars($this->input->post('produk_id'));
        if ($produk_id == 124) :
            if ($tempo < 1) :
                $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Tempo Bulan Harus Lebih Dari atau Sama Dengan 1 Bulan!</div>');
                redirect('kasir');
            else :
                if ($tempo > 6) :
                    $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Tempo Bulan Harus Kurang Dari atau Sama Dengan 6 Bulan!</div>');
                    redirect('kasir');
                endif;
            endif;
        else :
            if ($tempo < 1) :
                $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Tempo Bulan Harus Lebih Dari atau Sama Dengan 1 Bulan!</div>');
                redirect('kasir');
            else :
                if ($tempo > 24) :
                    $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Tempo Bulan Harus Kurang Dari atau Sama Dengan 6 Bulan!</div>');
                    redirect('kasir');
                endif;
            endif;
        endif;
        $cek_ap             = $this->db->get_where('p_koperasi_aturan', ['produk_id' => $data_inputan['produk_id']])->row_array();
        $nomor_kontrak      = $data_inputan['login_id'] . $data_inputan['produk_id'] . date('ymdhis');
        // Potongan Awal saat pencairan
        $pot_admin          = $data_inputan['pokok_pinjaman'] * $cek_ap['administrasi'] / 100;
        $pot_rk             = $data_inputan['pokok_pinjaman'] * $cek_ap['rk'] / 100;
        // Besaran Pokok Setiap kali Pembayaran
        $pokok_angsuran    = $data_inputan['pokok_pinjaman'] / $tempo;
        $pokokangsuran     = ceil($pokok_angsuran);
        $bsr_pokok         = round($pokokangsuran, -2);
        // Simpanan atau tabungan setiap pembayaran
        $b_simpanan        = ($data_inputan['pokok_pinjaman'] * $cek_ap['simpanan'] / 100);
        $simpananpokok     = ceil($b_simpanan);
        $bsr_simpanan      = round($simpananpokok, -2);
        // Besar Angsuran setiap bulan
        // Biaya Jasa Setiap transaksi pembayaran
        $bsr_jasa          =  round(ceil(($data_inputan['pokok_pinjaman'] * $cek_ap['jasa'] / 100)), -2);
        // Biaya yang harus di bayar
        $bsr_angsuran      = round($bsr_pokok + $bsr_simpanan + $bsr_jasa, -3);
        // Total Pembayaran sampai lunas
        $ttl_bayar         = $bsr_angsuran * $tempo;
        $detail_kontrak = array(
            'id'              => $nomor_kontrak,
            'anggota_id'      => $anggota_id,
            'aturan_id'       => $cek_ap['id'],
            'pokok_pinjaman'  => $data_inputan['pokok_pinjaman'],
            'bsr_admin'       => $pot_admin,
            'bsr_rk'          => $pot_rk,
            'bsr_pokok'       => $bsr_pokok,
            'bsr_simpanan'    => $bsr_simpanan,
            'bsr_jasa'        => $bsr_jasa,
            'bsr_angsuran'    => $bsr_angsuran,
            'tempo_pinjaman'  => $tempo,
            'ttl_bayar'       => $ttl_bayar,
            'status_kontrak'  => 'KASIR'
        );
        return $detail_kontrak;
    }
}

/* End of file ControllerPengajuan.php and path \application\controllers\kasir\koperasi\ControllerPengajuan.php */